<?php 
//Bottom Header
    $wp_customize->add_section( 'peccular_footer_setting' , array(
        'title'    => __( 'Footer Setting', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel1'
    ) );

$wp_customize->add_setting('peccular_footer_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_footer_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Footer Settings', 'peccular'),
  'description' => 'peccular_footer_reset_settings',
  'section' => 'peccular_footer_setting'
)));


   $wp_customize->add_setting('peccular_footer_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_footer_nav', array(
       'section' => 'peccular_footer_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_footer_copyrighttext',
                'peccular_footer_shipicon',
                'peccular_footer_shiptitle',
                'peccular_footer_shiptext',
                'peccular_footer_gifticon',
                'peccular_footer_gifttitle',
                'peccular_footer_gifttext',
                'peccular_footer_clockicon',
                'peccular_footer_clocktitle',
                'peccular_footer_clocktext',
                'peccular_footer_moneyicon',
                'peccular_footer_moneytitle',
                'peccular_footer_moneytext',
                                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                      
                'peccular_footer_section_bg_color',
                'peccular_footer_section_bg_image',
                'peccular_footer_image_opacity',
                'peccular_footer_box_align', 
                'peccular_footer_copyright_align',   
                'peccular_footer_onload_effects',  
                'peccular_footer_heading_color',
                'peccular_footer_text_color',
                'peccular_footer_icon_color',
                'peccular_footer_sicon_color',
                'peccular_footer_siconhover_color',                             
                'peccular_footer_menu_color',
                'peccular_footer_menuhover_color',
                'peccular_footer_activemenu_color',             
                'peccular_footer_bttmtext_color',
                'peccular_footer_siconbghv_color',               
                'peccular_footer_menuicon_color',
                'peccular_footer_formtext_color',               
                'peccular_footer_formbtntext_color',               
                'peccular_contact_btnhovtext_color',               
                'peccular_footer_formbtntexthov_color',
                'peccular_footer_shapebg_color',
                'peccular_footer_fotrbtmbrdr_color',
                'peccular_footer_topicon_color',
                'peccular_footer_toptitle_color',
                'peccular_footer_toptext_color',
                'peccular_footer_formbtmbrdr_color'
              
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_footer_padding',
                'peccular_footer_section_top_padding',
                'peccular_footer_section_bottom_padding',                                   
                'peccular_footer_section_width'
            ),
         )
        ),
    )));


// Footer Top Fields
lzCustomLable($wp_customize, 'footer_lbl2', 'peccular_footer_section', 'Set Who We Are Setting:');

$wp_customize->add_setting('footer_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'footer_area_lbl',
        array(
            'settings'      => 'footer_area_lbl',
            'section'       => 'peccular_footer_section',
            'label'         => __( 'Note1:', 'peccular' ),  
            'description'   => __( 'Changes will not reflect', 'peccular' ),
        )
    )
);

lzCustomLable($wp_customize, 'footer_top_lable', 'peccular_footer_section', 'Set Top Footer Plans:');

//Shipping Box   

    $wp_customize->add_setting(
        'peccular_footer_shipicon',
        array(
            'default'           => 'fa fa-truck',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_footer_shipicon',
            array(
                'section'       => 'peccular_footer_setting',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
                'active_callback' => 'peccular_pricing_type_icon'
            )
        )
    );
    $wp_customize->add_setting(
    'peccular_footer_shiptitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Free Shipping', 'peccular' )
    )
    );
    $wp_customize->add_control(
    'peccular_footer_shiptitle',
    array(
        'settings'      => 'peccular_footer_shiptitle',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Footer Title', 'peccular' )
    )
    );
    $wp_customize->add_setting(
    'peccular_footer_shiptext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'For Orders Under 3km', 'peccular' )
    )
    );
    $wp_customize->add_control(
    'peccular_footer_shiptext',
    array(
        'settings'      => 'peccular_footer_shiptext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Footer Text', 'peccular' )
    )
    );

//Gift box  

    $wp_customize->add_setting(
        'peccular_footer_gifticon',
        array(
            'default'           => 'fa fa-gift',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_footer_gifticon',
            array(
                'section'       => 'peccular_footer_setting',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
                'active_callback' => 'peccular_pricing_type_icon'
            )
        )
    );

    $wp_customize->add_setting(
    'peccular_footer_gifttitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Gift Vouchers', 'peccular' )
    )
    );
    $wp_customize->add_control(
    'peccular_footer_gifttitle',
    array(
        'settings'      => 'peccular_footer_gifttitle',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Footer Title', 'peccular' )
    )
    );
    $wp_customize->add_setting(
    'peccular_footer_gifttext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Buy 2 or More Times', 'peccular' )
    )
    );
    $wp_customize->add_control(
    'peccular_footer_gifttext',
    array(
        'settings'      => 'peccular_footer_gifttext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Footer Text', 'peccular' )
    )
    );

//Time Box

    $wp_customize->add_setting(
        'peccular_footer_clockicon',
        array(
            'default'           => 'fa fa-clock-o',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_footer_clockicon',
            array(
                'section'       => 'peccular_footer_setting',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
                'active_callback' => 'peccular_pricing_type_icon'
            )
        )
    );


    $wp_customize->add_setting(
    'peccular_footer_clocktitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( ' Opening Time', 'peccular' )
    )
    );
    $wp_customize->add_control(
    'peccular_footer_clocktitle',
    array(
        'settings'      => 'peccular_footer_clocktitle',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Footer Title', 'peccular' )
    )
    );
    $wp_customize->add_setting(
    'peccular_footer_clocktext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '9.00 AM - 10.00 PM', 'peccular' )
    )
    );
    $wp_customize->add_control(
    'peccular_footer_clocktext',
    array(
        'settings'      => 'peccular_footer_clocktext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Footer Text', 'peccular' )
    )
    );

//Money box
     $wp_customize->add_setting(
        'peccular_footer_moneyicon',
        array(
            'default'           => 'fa fa-money',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_footer_moneyicon',
            array(
                'section'       => 'peccular_footer_setting',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
                'active_callback' => 'peccular_pricing_type_icon'
            )
        )
    );

    $wp_customize->add_setting(
    'peccular_footer_moneytitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( ' Money Return', 'peccular' )
    )
    );
    $wp_customize->add_control(
    'peccular_footer_moneytitle',
    array(
        'settings'      => 'peccular_footer_moneytitle',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Footer Title', 'peccular' )
    )
    );
    $wp_customize->add_setting(
    'peccular_footer_moneytext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Back gaurantee under 5 days', 'peccular' )
    )
    );
    $wp_customize->add_control(
    'peccular_footer_moneytext',
    array(
        'settings'      => 'peccular_footer_moneytext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Footer Text', 'peccular' )
    )
    );


$wp_customize->add_setting(
    'peccular_footer_copyrighttext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Copyrights © 2022. All Rights Reserved', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_footer_copyrighttext',
    array(
        'settings'      => 'peccular_footer_copyrighttext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'textarea',
        'label'         => __( 'Copyright', 'peccular' ),
          'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);    

    $wp_customize->add_setting( 'peccular_footer_section_bg_color', array(
       'default' => '#000',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_footer_section_bg_color', array(
        'label' => __('Background Color','peccular'),
       'section' => 'peccular_footer_setting',
    )));

    $wp_customize->add_setting( 'peccular_footer_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_footer_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_footer_setting',
    )));

    addColorPalatOption($wp_customize, 'peccular_footer_shapebg_color', 'peccular_footer_setting', 'Top Shape BG Color', '');


    $wp_customize->add_setting('peccular_footer_image_opacity',array(
        'default' => 0.3,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_footer_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_footer_setting',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_footer_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

    $wp_customize->add_setting('peccular_footer_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

    $wp_customize->add_setting('peccular_footer_copyright_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_copyright_align',array(
        'type' => 'select',
        'label' => __('Copyright Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

addColorPalatOption($wp_customize, 'peccular_footer_topicon_color', 'peccular_footer_setting', 'Top Footer Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_toptitle_color', 'peccular_footer_setting', 'Top Footer Title Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_toptext_color', 'peccular_footer_setting', 'Top Footer Text Color', '');

addColorPalatOption($wp_customize, 'peccular_footer_heading_color', 'peccular_footer_setting', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_text_color', 'peccular_footer_setting', 'Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_sicon_color', 'peccular_footer_setting', 'Social Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconhover_color', 'peccular_footer_setting', 'Social Icon Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_footer_menuicon_color', 'peccular_footer_setting', 'Menu Icon color', '');
addColorPalatOption($wp_customize, 'peccular_footer_menu_color', 'peccular_footer_setting', 'Menu Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_activemenu_color', 'peccular_footer_setting', 'Menu Hover & Active Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formtext_color', 'peccular_footer_setting', 'Form Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbtntext_color', 'peccular_footer_setting', 'Form Buttton Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbtntexthov_color', 'peccular_footer_setting', 'Form Buttton Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbtmbrdr_color', 'peccular_footer_setting', 'Form Bottom Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_fotrbtmbrdr_color', 'peccular_footer_setting', 'Footer Bottom Border Color ', '');


    $wp_customize->add_setting('peccular_footer_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_footer_padding',array(
      'label' => __('Top Footer Padding','peccular'),
      'section' => 'peccular_footer_setting'
   ));

    $wp_customize->add_setting('peccular_footer_section_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
    ));
     $wp_customize->add_setting('peccular_footer_section_bottom_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
    ));


    $wp_customize->add_setting('peccular_footer_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));
?>