<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_contactpages_reset_settings',array(
      'sanitize_callback'   => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_contactpages_reset_settings',array(
      'type' => 'reset_control',
       'priority' => 1,
      'label' => __('Reset Contact Pages Settings', 'peccular'),
      'description' => 'peccular_contactpages_reset_settings',
      'section' => 'peccular_contact_pages'
    )));
    

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                             
                'peccular_contactpage_form_shortcode', 
                'peccular_contact_page_iframe_shortcode',               
                'peccular_contact_page_formtitle1',                
                'peccular_cont_maintitle',                
                'peccular_contform_title'

            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                //'peccular_contactpage_content_align',            
                'peccular_contactpage_box_onload_effects',
                'peccular_contactpage_lheading_color',
                'peccular_contactpage_fheading_color',
                'peccular_contactpage_fbg_color',               
                'peccular_contact_page_formtext_color',
                'peccular_contact_page_formborder_color',
                'peccular_contactpage_formbtnbg_color1',
                'peccular_contactpage_formbtntext_color',
                'peccular_contact_page_formbtnbghov_color1',
                'peccular_contact_page_formbtnbghov_color2',
                'peccular_contact_pagee_formbtntexthv_color' ,
                'peccular_contactpage_formbtnbrdr_color',
                'peccular_contactpage_formbtnbrdrhov_color'           

            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'peccular_cont_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Contact Form', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_cont_maintitle',
    array(
        'settings'      => 'peccular_cont_maintitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Contact Main Title', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contform_title',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Contact Form', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contform_title',
    array(
        'settings'      => 'peccular_contform_title',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Contact Form Title', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_shortcode',
    array(
        'settings'      => 'peccular_contactpage_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_iframe_shortcode', 
    array( 
        'default'=>'Add Map Embed Code Here'
    ));
$wp_customize->add_control(
    'peccular_contact_page_iframe_shortcode', 
    array(
        'settings'=>'peccular_contact_page_iframe_shortcode', 
        'section'=>'peccular_contact_pages',
        'type'=>'textarea', 
        'label'=> __('Embed Code for map', 'peccular')
    ));


 // $wp_customize->add_setting('peccular_contactpage_content_align',array(
 //        'default' => 'Left',
 //        'sanitize_callback' => 'peccular_sanitize_choices',
 //    ));
 //    $wp_customize->add_control('peccular_contactpage_content_align',array(
 //        'type' => 'select',
 //        'label' => __('Data Box Alignment','peccular'),
 //        'choices' => array (
 //            'Center' => __('Center','peccular'),
 //            'Left' => __('Left','peccular'),
 //            'Right' => __('Right','peccular')
 //        ),
 //        'section' => 'peccular_contact_pages',
 //    ));

     $wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

addColorPalatOption($wp_customize, 'peccular_contactpage_lheading_color', 'peccular_contact_pages', 'Main Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_fheading_color', 'peccular_contact_pages', 'Form Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_fbg_color', 'peccular_contact_pages', 'Form BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formtext_color', 'peccular_contact_pages', 'Form Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formborder_color', 'peccular_contact_pages', 'Form Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbg_color1', 'peccular_contact_pages', 'Form Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtntext_color', 'peccular_contact_pages', 'Form Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbrdr_color', 'peccular_contact_pages', 'Form Button Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnbghov_color1', 'peccular_contact_pages', 'Form Button Hover BG color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnbghov_color2', 'peccular_contact_pages', 'Form Button Hover BG color', '');
addColorPalatOption($wp_customize, 'peccular_contact_pagee_formbtntexthv_color', 'peccular_contact_pages', 'Form Button Hover Text color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbrdrhov_color', 'peccular_contact_pages', 'Form Button Hover Border Color', '');


?>