<?php
/**
 *
 * @package Slider Premium
 */
?>
<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<section class="slider-area" id="slider">
    <div class="<?php if(get_theme_mod('peccular_slider_section_width','Full Width') == 'Full Width'){ ?>container-fluid pd-0 <?php } elseif(get_theme_mod('peccular_slider_section_width','Full Width') == 'Box Width'){ ?> container <?php }?>">

    <div class="hero-slider hero-style">
    <div class="swiper-container">
      <div class="swiper-wrapper">

        <?php
        $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
        if(!empty($pageId)){
            $args['page_id'] = absint($pageId);

        }
        $text = '';
        $query = new WP_Query($args);
        if($query->have_posts()){
            while($query->have_posts()) : $query->the_post(); 

                 $slider1btntext = get_post_meta($post->ID, 'slider1btntext', false);
                 $test_slider1btntext = !empty($slider1btntext[0]) ? $slider1btntext[0] : '';
               

                ?>
            <div class="swiper-slide">
            <div class="slide-inner">
                     
            <div class="row md-0">  
             <div class="col-lg-5 col-md-5 col-sm-5 col-xs-12 pd-0">
                  
                    <div class="sliderimg">
                         <div class="sliderimgshape1"> 
                                <?php 
                        if(has_post_thumbnail()){
                          $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  
                          echo '<img class="slide-mainimg slider-imgboxshape" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                            }?>
                        </div>
                     </div>
            </div>
 
            <?php if($showContent == 'on'){?>                    
            <div class="col-lg-7 col-md-7 col-sm-7 col-xs-12 pd-0"> 

                     <div class="slidersvg1">
                            <svg width="781px" height="753px">
                            <path fill-rule="evenodd"  fill="#ffcd08"
                             d="M393.000,753.000 C345.734,717.909 301.042,679.891 259.000,639.000 C218.444,599.555 180.759,557.870 146.000,514.000 C113.128,472.512 82.924,429.205 64.813,396.000 C6.075,288.314 -4.057,182.622 2.000,144.000 C10.196,91.739 32.120,43.102 65.000,-0.000 C303.667,-0.000 542.333,-0.000 781.000,-0.000 C781.000,251.000 781.000,502.000 781.000,753.000 C651.667,753.000 522.333,753.000 393.000,753.000 Z"/>
                            </svg>                      
                            
                       <div class="slidersvg2">
                       <svg width="781px" height="753px">
                        <path fill-rule="evenodd"  fill="#fff"
                         d="M393.000,753.000 C345.734,717.909 301.042,679.891 259.000,639.000 C218.444,599.555 180.759,557.870 146.000,514.000 C113.128,472.512 82.924,429.205 64.813,396.000 C6.075,288.314 -4.057,182.622 2.000,144.000 C10.196,91.739 32.120,43.102 65.000,-0.000 C303.667,-0.000 542.333,-0.000 781.000,-0.000 C781.000,251.000 781.000,502.000 781.000,753.000 C651.667,753.000 522.333,753.000 393.000,753.000 Z"/>
                        </svg>                      
                          
                            <div class="slider-inner-mainbox">                                
                           
                                <div class="slide-title animated fadeInDownBig">
                                    <h2><?php echo (get_the_title()); ?></h2>                              
                                </div>
                                <div class="slide-text animated fadeInLeftBig"><p><?php echo (get_the_content()); ?></p></div>
                                <div class="clearfix"></div>  
                                 <div class="sliderbtns">
                                
                                     <?php
                                    $sliderbtn1url = get_post_meta($post->ID, 'sliderbtn1url', false);
                                    $slider1_btn_url = !empty($sliderbtn1url[0]) ? $sliderbtn1url[0] : '';
                                    ?>
                                    <?php if ($slider1_btn_url) { ?>
                                    
                                    <div class="slide-btns-1 animated fadeInDownBig"> <a href="<?php echo $slider1_btn_url; ?>"><?php echo ($test_slider1btntext); ?></a>
                                       <div class="hoverbg"></div> 
                                    </div> 
                                     <?php }?>
                                    
                                                                          
                                    
                                    </div>
                                </div>               
                            
                        </div>
                    </div>
                    </div>
                 </div>              
            <?php }?>                    
                </div>              

                </div>
                

                    <?php
                endwhile;
            }else{ 
                for($i=0;$i<5;$i++){?>

             <div class="swiper-slide">
                <div class="slide-inner ">
                    <div class="row md-0">

                        <div class="col-lg-5 col-md-5 col-sm-5 col-xs-12 pd-0">                       

                        <div class="sliderimg"> 

                            <div class="sliderimgshape1"> 
                                     
                           <?php echo '<img class="slide-mainimg slider-imgboxshape" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider.jpg">';?> 
                            
                             </div>                      
                        
                        </div>                   
                            
                        </div>    
                      <?php if($showContent == 'on'){?>
                 <div class="col-lg-7 col-md-7 col-sm-7 col-xs-12 pd-0"> 
                    <div class="slidersvg1">
                            <svg width="781px" height="753px">
                            <path fill-rule="evenodd"  fill="#ffcd08"
                             d="M393.000,753.000 C345.734,717.909 301.042,679.891 259.000,639.000 C218.444,599.555 180.759,557.870 146.000,514.000 C113.128,472.512 82.924,429.205 64.813,396.000 C6.075,288.314 -4.057,182.622 2.000,144.000 C10.196,91.739 32.120,43.102 65.000,-0.000 C303.667,-0.000 542.333,-0.000 781.000,-0.000 C781.000,251.000 781.000,502.000 781.000,753.000 C651.667,753.000 522.333,753.000 393.000,753.000 Z"/>
                            </svg>                      
                            
                    <div class="slidersvg2">
                       <svg width="781px" height="753px">
                        <path fill-rule="evenodd"  fill="#fff"
                         d="M393.000,753.000 C345.734,717.909 301.042,679.891 259.000,639.000 C218.444,599.555 180.759,557.870 146.000,514.000 C113.128,472.512 82.924,429.205 64.813,396.000 C6.075,288.314 -4.057,182.622 2.000,144.000 C10.196,91.739 32.120,43.102 65.000,-0.000 C303.667,-0.000 542.333,-0.000 781.000,-0.000 C781.000,251.000 781.000,502.000 781.000,753.000 C651.667,753.000 522.333,753.000 393.000,753.000 Z"/>
                        </svg>
                        
                    <div class="slider-inner-mainbox">                               
                            
                                <div class="slide-title animated fadeInDownBig"><h2>The Best Quality Pet Food </h2>                                    
                                </div>
                                <div class="slide-text animated fadeInLeftBig"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt. sed do eiusmod tempor incididunt</p>
                                </div>  
                                    <div class="clearfix"></div>
                                <div class="sliderbtns">
                                <div class="slide-btns-1 close animated fadeInDownBig">
                                    <a href="">Shop Now</a>
                                     <div class="hoverbg"></div> 
                                </div>                                
                                </div>                                
                           
                             <div class="clearfix"></div>
                        </div>
                    </div>
                </div>                      
                    
                    </div>
                      <?php }?>
                    
                       
                </div>
                    </div>
                </div>
                <?php }
            }?>
    </div>
        <div class="swiper-pagination"></div>
        <!-- <div class="swiper-button-next">NEXT</div>
        <div class="swiper-button-prev">PREV</div> -->
        
</div>
</div>		

</div>
</section>