<?php
/**
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
   <header class="page-main-header2" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','400')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
 <div class="peccular-innerpage-overlay"></div> 
 
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?>   
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?> 
 
</header><!-- .entry-header --> 

</div>
<main id="innerpage-box">
		<div class="inner_contentbox">
		<?php 	

		$peccular_cont_maintitle = get_theme_mod('peccular_cont_maintitle', 'Contact From');
		$peccular_contform_title = get_theme_mod('peccular_contform_title', 'Contact From');
		
		$peccular_contact_page_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');

		$peccular_contact_page_iframe_shortcode = get_theme_mod('peccular_contact_page_iframe_shortcode', 'Add Map Embed Code Here');

     	?>
     <div id="peccular-contactus-wrap">  
     	<div class="<?php if(get_theme_mod('peccular_about_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_about_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">  

			<?php if($peccular_cont_maintitle ){ ?>                 
	           
	              <h2><?php echo ($peccular_cont_maintitle);  ?></h2>	                              
	          
	        <?php }?>

	<div class="row">
		
		<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 pd-0 contactleftbg">
			<?php if($peccular_contform_title ){ ?>                 
	           
	              <h3><?php echo ($peccular_contform_title);  ?></h3>	                              
	          
	        <?php }?>

		<?php if(!empty($peccular_contact_page_form_shortcode)){ ?>
						
			<div class="peccular-contact-page-form <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">	
							
				<?php echo do_shortcode($peccular_contact_page_form_shortcode);?>
			</div>
						
		<?php }?>
				
		</div>	
		<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 pd-0">
		<div class="peccular-contact-form-block">		

				<?php if(!empty($peccular_contact_page_iframe_shortcode)){ ?>
						<div class="peccular-contact-mapbox <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								<?php echo ($peccular_contact_page_iframe_shortcode);  ?>
							</div>
						<?php }?>		
			
    	</div>
		</div>
	</div>
</div><!-- container-->	
	</div>	<!-- peccular-contactus-wrap-->	
						
		
	</div>
</main>
<?php get_footer(); ?>