<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */

?>
<footer class="footer-area" id="footer">
	<div class="footer-bg"></div>
 <svg viewBox="0 0 1440 420">
<path fill-rule="evenodd"  fill="#fdb303"
 d="M0.000,303.000 C39.435,285.477 80.645,273.073 123.000,266.000 C175.660,257.207 224.308,256.862 269.000,263.000 C309.563,268.571 350.650,279.845 391.000,297.000 C425.166,311.526 449.100,328.864 483.000,344.000 C522.224,361.514 561.069,373.995 589.000,379.000 C636.996,387.601 689.378,387.202 744.000,376.000 C785.049,367.582 819.042,350.623 854.000,340.000 C904.677,324.600 956.047,314.744 989.000,313.000 C1032.474,310.699 1079.028,314.620 1129.000,326.000 C1156.740,332.317 1202.317,348.967 1243.000,364.000 C1277.280,376.667 1306.117,386.938 1340.000,395.000 C1369.578,402.037 1397.669,406.666 1425.000,409.000 C1451.656,411.277 1478.345,411.609 1505.000,410.000 C1505.000,273.333 1505.000,136.667 1505.000,-0.000 C1004.000,0.333 503.000,0.667 2.000,1.000 C1.333,101.667 0.667,202.333 0.000,303.000 Z"/>
</svg> 

<?php echo '<img alt="" src="'.get_template_directory_uri().'/images/footerprint.png" />'; ?>

<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">  

	<div class="footer-top-area1 col-lg-12 col-md-12 col-sm-12 col-xs-12">	
		<div class="row">
	<?php
    $peccular_footer_shipicon = get_theme_mod('peccular_footer_shipicon', 'fa fa-truck');
    $peccular_footer_shiptitle = get_theme_mod('peccular_footer_shiptitle', 'Free Shipping');
    $peccular_footer_shiptext = get_theme_mod('peccular_footer_shiptext', 'For Orders Under 3km');

    $peccular_footer_gifticon = get_theme_mod('peccular_footer_gifticon', 'fa fa-gift');
    $peccular_footer_gifttitle = get_theme_mod('peccular_footer_gifttitle', 'Gift Vouchers');
    $peccular_footer_gifttext = get_theme_mod('peccular_footer_gifttext', 'Buy 2 or More Times');

    $peccular_footer_clockicon = get_theme_mod('peccular_footer_clockicon', 'fa fa-clock-o');
    $peccular_footer_clocktitle = get_theme_mod('peccular_footer_clocktitle', 'Opening Time');
    $peccular_footer_clocktext = get_theme_mod('peccular_footer_clocktext', '9.00 AM - 10.00 PM');

    $peccular_footer_moneyicon = get_theme_mod('peccular_footer_moneyicon', 'fa fa-money');
    $peccular_footer_moneytitle = get_theme_mod('peccular_footer_moneytitle', 'Money Return');
    $peccular_footer_moneytext = get_theme_mod('peccular_footer_moneytext', 'Back gaurantee under 5 days');

    ?>

		<div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
			<div class="ftextarea">
				<i class="<?php echo($peccular_footer_shipicon); ?>" aria-hidden="true"></i>
				<h2><?php echo($peccular_footer_shiptitle); ?></h2>
				<p><?php echo($peccular_footer_shiptext); ?></p>
			</div>
		</div>
		<div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
			<div class="ftextarea">
				<i class="<?php echo($peccular_footer_gifticon); ?>" aria-hidden="true"></i>
				<h2><?php echo($peccular_footer_gifttitle); ?></h2>
				<p><?php echo($peccular_footer_gifttext); ?></p>
			</div>
		</div>
		<div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
			<div class="ftextarea">
				<i class="<?php echo($peccular_footer_clockicon); ?>" aria-hidden="true"></i>
				<h2><?php echo($peccular_footer_clocktitle); ?></h2>
				<p><?php echo($peccular_footer_clocktext); ?></p>
			</div>
		</div>
		<div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
			<div class="ftextarea">
				<i class="<?php echo($peccular_footer_moneyicon); ?>" aria-hidden="true"></i>
				<h2><?php echo($peccular_footer_moneytitle); ?></h2>
				<p><?php echo($peccular_footer_moneytext); ?></p>
			</div>
		</div>

</div>
	</div>

	
	<?php if(is_active_sidebar('peccular-footer1') || is_active_sidebar('peccular-footer2') || is_active_sidebar('peccular-footer3') || is_active_sidebar('peccular-footer4') || is_active_sidebar('peccular-footer5')){ ?>
		
		<div class="top-area">
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	
			<div class="row row-eq-height md-1">
				
				<div class="s-footer col-lg-3 col-md-3 col-sm-12 col-xs-12 single-footer-1 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1s" >
						<?php if(is_active_sidebar('peccular-footer1')): 
							dynamic_sidebar('peccular-footer1');
						endif;
						?>	
					</div>
				</div>

			<div class="col-lg-9 col-md-9 col-sm-9 col-xs-12 footer-padding-top">
				<div class="s-footer col-lg-12 col-md-12 col-sm-12 col-xs-12 single-footer-2 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
						<?php if(is_active_sidebar('peccular-footer2')): 
							dynamic_sidebar('peccular-footer2');
						endif;
						?>	
						</div>
				</div>
			<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 footer-padding-top2">	
			<div class="row row-eq-height md-1">
				<div class="s-footer col-lg-4 col-md-4 col-sm-12 col-xs-12 single-footer-3 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
						<?php if(is_active_sidebar('peccular-footer3')): 
							dynamic_sidebar('peccular-footer3');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-lg-4 col-md-4 col-sm-12 col-xs-12 single-footer-4 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
						<?php if(is_active_sidebar('peccular-footer4')): 
							dynamic_sidebar('peccular-footer4');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-lg-4 col-md-4 col-sm-12 col-xs-12 single-footer-5 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
						<?php if(is_active_sidebar('peccular-footer5')): 
							dynamic_sidebar('peccular-footer5');
						endif;
						?>	
					</div>
				</div>
			</div>
			</div>
			</div><!-- col 8-->

				
			<div class="clearfix"></div>
		</div>
	</div>
		<div class="clearfix"></div>
		</div>
	<?php } ?>
</div><!-- container -->
	<div class="clearfix"></div>
				<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
		<div class="bottom-area wow zoomIn">
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	
			
				<div class="footer-text  <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_copyright_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<?php if($footercopyright){ ?>
						<?php echo $footercopyright;?>
					<?php } ?>
				</div>
			</div>
	</div>
	

</footer><!-- #colophon -->
<!-- <script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script> -->
<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script>
 <script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lightgallery.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-autoplay.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-fullscreen.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-thumbnail.js" type="text/javascript"  ></script>
    <script type="text/javascript">
        lightGallery(document.getElementById('products-austrak'), {
            subHtmlSelectorRelative: true,
            thumbnail:true
        });
        lightGallery(document.getElementById('products-sherings'), {
            subHtmlSelectorRelative: true
        }); 
        lightGallery(document.getElementById('products-austmark'), {
            subHtmlSelectorRelative: true
        }); 
    </script>   


<?php wp_footer(); ?>
   <?php
    if(get_theme_mod('back_top_btn_on_off') != 'on' ){
  ?>
<a id="back2Top" title="Back to top" href="#"> &#10148; </a>
 <?php } ?> 
</body>
</html>